/* jinxRing.c v.1.0c Aztec C ovr     */
/* ringbell()                        */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void ovmain() {                                                      /* Ring (bell) */
   char* item;

   item = getName();

   if( strlen( buffer ) < 6 ) {
      printf( s, badParse );
      return;
   }

   turnsPlayed++;

   if( !strcmp(item, bell) ) {
      if( carryingItem(bell) || itemIsHere(bell) ) {
         turnBell = turnsPlayed;
         printf( quoted, ring );
      }
      else {
         printf( seeno, bell );
      }
   }
   else {
      printf( s, nopoint );
   }
}
