/* jinxStat.c v.1.0c Aztec C ovr     */
/* maxPoints() and currentScore()    */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


int maxPoints() {                                                    /* Maxiumum score possible */
   int i;
   int points;
   points = 0;

   for( i = 1; i <= LastItem; i++ ) {
      points += (value[i] * 2);
   }
   points += KILLWRAITHVALUE;

   return( points );
}


int pointsEarned() {                                                 /* Current score */
   int i;
   int points;
   points = 0;

   for( i = 0; i <= LastItem; i++ ) {
      if( Inventory[i] != NOTHING ) {                                /* Carrying item */
         points += value[Inventory[i]];                              /*     or        */
      } else if( inHouse(locationOfItem[i]) && visited[locationOfItem[i]] ) {
         points += ( value[i] * 2 );                                 /* Item in house */
      }
   }

   points += wraithsEliminated() * KILLWRAITHVALUE;                  /* Bonus for eliminating wraiths */

   return( points );
}


int ovmain( verbose ) {                                              /* Retrieve Score */
   int score;
   int max;

   score = pointsEarned();
   max = maxPoints();

   if( verbose ) {                                                   /* Print score if requested */
      printf( printpointsearned, score, max );
   }

   return( score );
}
