/* jinxArea.c v.1.0c Aztec C ovr     */
/* checkAreas() and showItemsHere()  */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void checkAreas() {                                                  /* Check for large areas treated */
   int i;                                                            /* as a single location          */

   if( (currentLocation > 12) && (currentLocation < 22) ) {          /* Open field */
      visited[13]  = TRUE;
      visited[14]  = TRUE;
      visited[15]  = TRUE;
      visited[16]  = TRUE;
      visited[17]  = TRUE;
      visited[18]  = TRUE;
      visited[19]  = TRUE;
      visited[20]  = TRUE;
      visited[21]  = TRUE;
   }
   else if( (currentLocation > 22) && (currentLocation < 25) ) {     /* North hills */
      visited[23]  = TRUE;
      visited[24]  = TRUE;
   }
   else if( (currentLocation > 24) && (currentLocation < 27) ) {     /* Rocky fields */
      visited[25]  = TRUE;
      visited[26]  = TRUE;
   }
   else if( (currentLocation > 55) && (currentLocation < 60) ) {     /* East hills */
      visited[56]  = TRUE;
      visited[57]  = TRUE;
      visited[58]  = TRUE;
      visited[59]  = TRUE;
   }
   else if( (currentLocation > 59) && (currentLocation < 62) ) {     /* Golf course */
      visited[60]  = TRUE;
      visited[61]  = TRUE;
   }
   else if( (currentLocation > 78) && (currentLocation < 83) ) {     /* Hilly land */
      visited[79]  = TRUE;
      visited[80]  = TRUE;
      visited[81]  = TRUE;
      visited[82]  = TRUE;
   }
   else if( (currentLocation > 96) && (currentLocation < 101) ) {    /* Forest */
      visited[97]  = TRUE;
      visited[98]  = TRUE;
      visited[99]  = TRUE;
      visited[100] = TRUE;
   }
   else if( (currentLocation > 111) && (currentLocation < 114) ) {   /* Mountain */
      visited[112] = TRUE;
      visited[113] = TRUE;
   }
   else if( (currentLocation > 121) && (currentLocation < 124) ) {   /* Open area */
      visited[122] = TRUE;
      visited[123] = TRUE;
   }
   else if( (currentLocation > 123) && (currentLocation < 126) ) {   /* South hills */
      visited[124] = TRUE;
      visited[125] = TRUE;
   }
   else if( (currentLocation > 126) && (currentLocation < 130) ) {   /* River bank */
      visited[127] = TRUE;
      visited[128] = TRUE;
      visited[129] = TRUE;
   }
}


void showItemsHere( verbose ) int verbose; {
   int i;
   int here;
   here = FALSE;
  
   for( i = 1; i <= LastItem; i++ ) {
      if( locationOfItem[i] == currentLocation ) {
         here = TRUE;
      }
   }

   if( here || verbose )
      printf( yousee );
   for( i = 1; i <= LastItem; i++ ) {
      if( locationOfItem[i] == currentLocation ) {
         printf( spsCr, Item[i] );
      }
   }
   if( !here && verbose )
      printf( nothingyoucancarry );
   
   return;
}


void ovmain() {
   if( visited[currentLocation] == FALSE ) {
      printLocation( DETAILED );
      showItemsHere( NORMAL );
      visited[currentLocation] = TRUE;
   } else {
      printLocation( NORMAL );
   }
   checkAreas();
}